package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsTransport;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0无害化转运 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
public interface IJsTransportService extends IService<JsTransport> {

    AjaxResult add(JsTransport transport);

    AjaxResult edit(JsTransport transport);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, Integer harmlessTreatmentId);

    AjaxResult listAll();
}
